Bug 160152 - up2date tries to use a header.info file that isn't existant
up2date tries to use a header.info file that isn't existant
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-11 23:02 EDT by Kyle Pointer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:27:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Pointer 2005-06-11 23:02:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I used the FTP method to install Fedora Core 4 Test 3 from the development branch on the FTP server. 

If I try to use up2date to update my systems packages I get an error like this
[root@fluffbox ~]# up2date-nox -u
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://mirrors.kernel.org/fedora/core/development/i386/
There was a fatal error communicating with the server. The message was:

An HTTP error occurred:
URL: http://mirrors.kernel.org/fedora/core/development/i386//headers/header.infoStatus Code: 404
Error Message: Not Found


YUM works perfectly, but there is some issue with up2date.

I checked the server and there is no headers directory.

Not sure if this is a problem with the mirrors, or if it's a problem with up2date. 

This may have something to do with the fact that I installed using the FTP method with anaconda instead of using the CD media. 

Any help would be greatly appriciated. 

Version-Release number of selected component (if applicable):
up2date-4.4.23-4

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 4 test 3 using Ftp method ( CDROM might have this problem too )
2. Try to use up2date-nox -u ( or rhn-applet or up2date-gnome )

  

Actual Results:  HTTP error while trying to find headers.info file because it doesn't exist. 

Expected Results:  Expected up2date to update my RPMS.

Additional info:

yum works fine
Comment 1 Torrente B. 2005-06-15 14:49:05 EDT
It's a silly bug due to the two slash added after /i386

http://mirrors.kernel.org/fedora/core/development/i386//headers/header.infoStatus
Comment 2 DaPi 2005-11-12 13:59:20 EST
No it's not a problem with the double slash - it works fine with a single or double.

I have the problem now (12 Nov 2005 19:00 GMT approx) with the main fedora site
and the Swiss mirrors.  Simply the directory "headers" does not exist in some
branches of the tree:
e.g. 
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/headers
http://mirrors.kernel.org/fedora/core/development/i386/headers
ftp://mirror.switch.ch/mirror/fedora/linux/core/updates/4/i386/headers

You can check just by browsing.
Comment 3 John Thacker 2006-10-29 15:26:55 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 4 John Thacker 2006-11-05 11:27:38 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.